# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:       nodejs-utile
Version:    0.3.0
Release:    alt1_7
Summary:    A Node.js drop-in replacement for `util` with some additional functions
License:    MIT
Group:      System/Libraries
URL:        https://github.com/flatiron/utile
Source0:    https://registry.npmjs.org/utile/-/utile-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(deep-equal)
BuildRequires:  npm(i)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(ncp)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(vows)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep async '^1.5.0'
%nodejs_fixdep deep-equal '^1.0.1'
%nodejs_fixdep ncp
%nodejs_fixdep rimraf '~2.1'

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/utile
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/utile

%nodejs_symlink_deps


%files
%doc CHANGELOG.md README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/utile


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_2
- fc import

* Sun Jul 28 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_1
- fc import

